package com.bootdo.datasend.dianxin.controller;

import com.bootdo.datasend.dianxin.task.StandardTask;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description controller
 * @Author lijingtong
 * @Date 2025-09-01
 */

@RestController
@RequiredArgsConstructor
@RequestMapping("/api")
public class controller {

    private final StandardTask standardTask;

    @PostMapping("/sendUserRecord")
    public void sendUserRecord() {
        standardTask.sendUserRecord();
    }

    @PostMapping("/sendVehicleRecord")
    public void sendVehicleRecord() {
        standardTask.sendVehicleRecord();
    }
}
